XkbFreeGeomOverlayRows(__libmansuffix__)

NAME
XkbFreeGeomOverlayRows - Free rows in an overlay

SYNOPSIS

void XkbFreeGeomOverlayRows (XkbSectionPtr overlay, int first, int count, Bool free_all);

ARGUMENTS

- overlay
    section in which rows should be freed

- first
    first row to be freed

- count
    number of rows to be freed

- free_all
    True => all rows are freed

DESCRIPTION

Xkb provides a number of functions to allocate and free subcomponents of a keyboard geometry. Use these functions to create or modify keyboard geometries. Note that these functions merely allocate space for the new element(s), and it is up to you to fill in the values explicitly in your code. These allocation functions increase sz_* but never touch num_* (unless there is an allocation failure, in which case they reset both sz_* and num_* to zero). These functions return Success if they succeed, BadAlloc if they are not able to allocate space, or BadValue if a parameter is not as expected. If free_all is True, all rows are freed regardless of the value of first and count. Otherwise, the number of rows specified by count are freed, beginning with the row specified by first in the specified overlay.

RETURN VALUES

Success
    The XkbFreeGeomOverlayRows function returns Success if there are no allocation or argument errors.

DIAGNOSTICS

BadAlloc
    Unable to allocate storage

BadValue
    An argument is out of range